package b4a.ScrollView2DZoom;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.ScrollView2DZoom", "b4a.ScrollView2DZoom.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.ScrollView2DZoom", "b4a.ScrollView2DZoom.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.ScrollView2DZoom.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        b4a.example.dateutils._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

private static BA killProgramHelper(BA ba) {
    if (ba == null)
        return null;
    anywheresoftware.b4a.BA.SharedProcessBA sharedProcessBA = ba.sharedProcessBA;
    if (sharedProcessBA == null || sharedProcessBA.activityBA == null)
        return null;
    return sharedProcessBA.activityBA.get();
}
public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = killProgramHelper(main.mostCurrent == null ? null : main.mostCurrent.processBA);
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public anywheresoftware.b4a.keywords.Common __c = null;
public flm.b4a.scrollview2d.ScrollView2DWrapper _scvtest = null;
public static double _currentscale = 0;
public static double _newscale = 0;
public anywheresoftware.b4a.objects.LabelWrapper[][] _lblhauptzeile = null;
public anywheresoftware.b4a.objects.PanelWrapper[] _pnlhauptzeile = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlmain = null;
public b4a.example.dateutils _dateutils = null;
public b4a.ScrollView2DZoom.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime});
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131073;
 //BA.debugLineNum = 131073;BA.debugLine="Activity.LoadLayout(\"Main\")";
mostCurrent._activity.LoadLayout("Main",mostCurrent.activityBA);
RDebugUtils.currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="scvTest.Panel.LoadLayout(\"table\")";
mostCurrent._scvtest.getPanel().LoadLayout("table",mostCurrent.activityBA);
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="PaintTable";
_painttable();
RDebugUtils.currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="If Activity.Height < pnlHauptzeile(30).Top + pnlH";
if (mostCurrent._activity.getHeight()<mostCurrent._pnlhauptzeile[(int) (30)].getTop()+mostCurrent._pnlhauptzeile[(int) (30)].getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))) { 
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="scvTest.Panel.Height = pnlHauptzeile(30).Top + p";
mostCurrent._scvtest.getPanel().setHeight((int) (mostCurrent._pnlhauptzeile[(int) (30)].getTop()+mostCurrent._pnlhauptzeile[(int) (30)].getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))));
 }else {
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="scvTest.Panel.Height = Activity.Height";
mostCurrent._scvtest.getPanel().setHeight(mostCurrent._activity.getHeight());
 };
RDebugUtils.currentLine=131084;
 //BA.debugLineNum = 131084;BA.debugLine="scvTest.Panel.Width =  lblHauptzeile(30, 8).Left";
mostCurrent._scvtest.getPanel().setWidth((int) (mostCurrent._lblhauptzeile[(int) (30)][(int) (8)].getLeft()+mostCurrent._lblhauptzeile[(int) (30)][(int) (8)].getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))));
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="End Sub";
return "";
}
public static String  _painttable() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "painttable"))
	return (String) Debug.delegate(mostCurrent.activityBA, "painttable", null);
anywheresoftware.b4a.objects.LabelWrapper[] _lblkopfzeile1 = null;
int _intactwidth = 0;
int _i = 0;
int _intleft = 0;
int _intwidth = 0;
anywheresoftware.b4a.objects.drawable.ColorDrawable _cd = null;
anywheresoftware.b4a.objects.LabelWrapper[] _lblkopfzeile2 = null;
int _intheight = 0;
anywheresoftware.b4a.objects.LabelWrapper[] _lblkopfzeile3 = null;
int _x = 0;
String _strday = "";
String _strmonth = "";
String _stryear = "";
String _strdate = "";
int _y = 0;
anywheresoftware.b4a.objects.drawable.StateListDrawable _objstatelist = null;
anywheresoftware.b4a.objects.drawable.ColorDrawable _cd1 = null;
anywheresoftware.b4a.objects.drawable.ColorDrawable _cd2 = null;
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub PaintTable";
RDebugUtils.currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="Dim lblKopfzeile1(3) As Label";
_lblkopfzeile1 = new anywheresoftware.b4a.objects.LabelWrapper[(int) (3)];
{
int d0 = _lblkopfzeile1.length;
for (int i0 = 0;i0 < d0;i0++) {
_lblkopfzeile1[i0] = new anywheresoftware.b4a.objects.LabelWrapper();
}
}
;
RDebugUtils.currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="Dim intActWidth As Int = Activity.Width - 20dip";
_intactwidth = (int) (mostCurrent._activity.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20)));
RDebugUtils.currentLine=327684;
 //BA.debugLineNum = 327684;BA.debugLine="For i = 0 To 2";
{
final int step3 = 1;
final int limit3 = (int) (2);
_i = (int) (0) ;
for (;(step3 > 0 && _i <= limit3) || (step3 < 0 && _i >= limit3) ;_i = ((int)(0 + _i + step3))  ) {
RDebugUtils.currentLine=327685;
 //BA.debugLineNum = 327685;BA.debugLine="lblKopfzeile1(i).Initialize(\"\")";
_lblkopfzeile1[_i].Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=327686;
 //BA.debugLineNum = 327686;BA.debugLine="lblKopfzeile1(i).TextColor = Colors.Black";
_lblkopfzeile1[_i].setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327687;
 //BA.debugLineNum = 327687;BA.debugLine="lblKopfzeile1(i).Color = Colors.White";
_lblkopfzeile1[_i].setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=327688;
 //BA.debugLineNum = 327688;BA.debugLine="lblKopfzeile1(i).Gravity = Gravity.CENTER";
_lblkopfzeile1[_i].setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
RDebugUtils.currentLine=327689;
 //BA.debugLineNum = 327689;BA.debugLine="lblKopfzeile1(i).Typeface =Typeface.DEFAULT";
_lblkopfzeile1[_i].setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT);
RDebugUtils.currentLine=327690;
 //BA.debugLineNum = 327690;BA.debugLine="lblKopfzeile1(i).TextSize = 8";
_lblkopfzeile1[_i].setTextSize((float) (8));
RDebugUtils.currentLine=327692;
 //BA.debugLineNum = 327692;BA.debugLine="Select Case i";
switch (_i) {
case 0: {
RDebugUtils.currentLine=327694;
 //BA.debugLineNum = 327694;BA.debugLine="lblKopfzeile1(i).Text = \"01\"";
_lblkopfzeile1[_i].setText(BA.ObjectToCharSequence("01"));
RDebugUtils.currentLine=327695;
 //BA.debugLineNum = 327695;BA.debugLine="Dim intLeft As Int = 10dip";
_intleft = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10));
RDebugUtils.currentLine=327696;
 //BA.debugLineNum = 327696;BA.debugLine="Dim intWidth As Int = intActWidth * 0.6";
_intwidth = (int) (_intactwidth*0.6);
 break; }
case 1: {
RDebugUtils.currentLine=327698;
 //BA.debugLineNum = 327698;BA.debugLine="lblKopfzeile1(i).Text = \"02\"";
_lblkopfzeile1[_i].setText(BA.ObjectToCharSequence("02"));
RDebugUtils.currentLine=327699;
 //BA.debugLineNum = 327699;BA.debugLine="Dim intLeft As Int = lblKopfzeile1(i-1).Left +";
_intleft = (int) (_lblkopfzeile1[(int) (_i-1)].getLeft()+_lblkopfzeile1[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327700;
 //BA.debugLineNum = 327700;BA.debugLine="Dim intWidth As Int =  (intActWidth * 0.28) +";
_intwidth = (int) ((_intactwidth*0.28)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
 break; }
case 2: {
RDebugUtils.currentLine=327702;
 //BA.debugLineNum = 327702;BA.debugLine="lblKopfzeile1(i).Text = \"03\"";
_lblkopfzeile1[_i].setText(BA.ObjectToCharSequence("03"));
RDebugUtils.currentLine=327703;
 //BA.debugLineNum = 327703;BA.debugLine="Dim intLeft As Int = lblKopfzeile1(i-1).Left +";
_intleft = (int) (_lblkopfzeile1[(int) (_i-1)].getLeft()+_lblkopfzeile1[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327704;
 //BA.debugLineNum = 327704;BA.debugLine="Dim intWidth As Int =  (intActWidth * 0.12) +";
_intwidth = (int) ((_intactwidth*0.12)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
 break; }
}
;
RDebugUtils.currentLine=327707;
 //BA.debugLineNum = 327707;BA.debugLine="pnlMain.AddView(lblKopfzeile1(i), intLeft, 10dip";
mostCurrent._pnlmain.AddView((android.view.View)(_lblkopfzeile1[_i].getObject()),_intleft,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)),_intwidth,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (25)));
RDebugUtils.currentLine=327708;
 //BA.debugLineNum = 327708;BA.debugLine="Dim cd As ColorDrawable";
_cd = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=327709;
 //BA.debugLineNum = 327709;BA.debugLine="cd.Initialize2(Colors.White, 0dip, 1dip, Colors.";
_cd.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327710;
 //BA.debugLineNum = 327710;BA.debugLine="lblKopfzeile1(i).background = cd";
_lblkopfzeile1[_i].setBackground((android.graphics.drawable.Drawable)(_cd.getObject()));
 }
};
RDebugUtils.currentLine=327713;
 //BA.debugLineNum = 327713;BA.debugLine="Dim lblKopfzeile2(7) As Label";
_lblkopfzeile2 = new anywheresoftware.b4a.objects.LabelWrapper[(int) (7)];
{
int d0 = _lblkopfzeile2.length;
for (int i0 = 0;i0 < d0;i0++) {
_lblkopfzeile2[i0] = new anywheresoftware.b4a.objects.LabelWrapper();
}
}
;
RDebugUtils.currentLine=327715;
 //BA.debugLineNum = 327715;BA.debugLine="For i = 0 To 6";
{
final int step30 = 1;
final int limit30 = (int) (6);
_i = (int) (0) ;
for (;(step30 > 0 && _i <= limit30) || (step30 < 0 && _i >= limit30) ;_i = ((int)(0 + _i + step30))  ) {
RDebugUtils.currentLine=327716;
 //BA.debugLineNum = 327716;BA.debugLine="lblKopfzeile2(i).Initialize(\"\")";
_lblkopfzeile2[_i].Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=327717;
 //BA.debugLineNum = 327717;BA.debugLine="lblKopfzeile2(i).TextColor = Colors.Black";
_lblkopfzeile2[_i].setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327718;
 //BA.debugLineNum = 327718;BA.debugLine="lblKopfzeile2(i).Color = Colors.White";
_lblkopfzeile2[_i].setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=327719;
 //BA.debugLineNum = 327719;BA.debugLine="lblKopfzeile2(i).Gravity = Gravity.CENTER";
_lblkopfzeile2[_i].setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
RDebugUtils.currentLine=327720;
 //BA.debugLineNum = 327720;BA.debugLine="lblKopfzeile2(i).Typeface =Typeface.DEFAULT";
_lblkopfzeile2[_i].setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT);
RDebugUtils.currentLine=327721;
 //BA.debugLineNum = 327721;BA.debugLine="lblKopfzeile2(i).TextSize = 6";
_lblkopfzeile2[_i].setTextSize((float) (6));
RDebugUtils.currentLine=327723;
 //BA.debugLineNum = 327723;BA.debugLine="Select Case i";
switch (_i) {
case 0: {
RDebugUtils.currentLine=327725;
 //BA.debugLineNum = 327725;BA.debugLine="lblKopfzeile2(i).Text = \"04\"";
_lblkopfzeile2[_i].setText(BA.ObjectToCharSequence("04"));
RDebugUtils.currentLine=327726;
 //BA.debugLineNum = 327726;BA.debugLine="Dim intLeft As Int = 10dip";
_intleft = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10));
RDebugUtils.currentLine=327727;
 //BA.debugLineNum = 327727;BA.debugLine="Dim intWidth As Int = intActWidth * 0.1";
_intwidth = (int) (_intactwidth*0.1);
RDebugUtils.currentLine=327728;
 //BA.debugLineNum = 327728;BA.debugLine="Dim intHeight As Int = 30dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30));
 break; }
case 1: {
RDebugUtils.currentLine=327730;
 //BA.debugLineNum = 327730;BA.debugLine="lblKopfzeile2(i).Text = \"05\"";
_lblkopfzeile2[_i].setText(BA.ObjectToCharSequence("05"));
RDebugUtils.currentLine=327731;
 //BA.debugLineNum = 327731;BA.debugLine="Dim intLeft As Int = lblKopfzeile2(i-1).Left +";
_intleft = (int) (_lblkopfzeile2[(int) (_i-1)].getLeft()+_lblkopfzeile2[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327732;
 //BA.debugLineNum = 327732;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.2) + 1d";
_intwidth = (int) ((_intactwidth*0.2)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327733;
 //BA.debugLineNum = 327733;BA.debugLine="Dim intHeight As Int = 18dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (18));
 break; }
case 2: {
RDebugUtils.currentLine=327735;
 //BA.debugLineNum = 327735;BA.debugLine="lblKopfzeile2(i).Text = \"06\"";
_lblkopfzeile2[_i].setText(BA.ObjectToCharSequence("06"));
RDebugUtils.currentLine=327736;
 //BA.debugLineNum = 327736;BA.debugLine="Dim intLeft As Int = lblKopfzeile2(i-1).Left +";
_intleft = (int) (_lblkopfzeile2[(int) (_i-1)].getLeft()+_lblkopfzeile2[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327737;
 //BA.debugLineNum = 327737;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.25) + 1";
_intwidth = (int) ((_intactwidth*0.25)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327738;
 //BA.debugLineNum = 327738;BA.debugLine="Dim intHeight As Int = 30dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30));
 break; }
case 3: {
RDebugUtils.currentLine=327740;
 //BA.debugLineNum = 327740;BA.debugLine="lblKopfzeile2(i).Text = \"07\"";
_lblkopfzeile2[_i].setText(BA.ObjectToCharSequence("07"));
RDebugUtils.currentLine=327741;
 //BA.debugLineNum = 327741;BA.debugLine="Dim intLeft As Int = lblKopfzeile2(i-1).Left +";
_intleft = (int) (_lblkopfzeile2[(int) (_i-1)].getLeft()+_lblkopfzeile2[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327742;
 //BA.debugLineNum = 327742;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.05) + 1";
_intwidth = (int) ((_intactwidth*0.05)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327743;
 //BA.debugLineNum = 327743;BA.debugLine="If intLeft + intWidth < lblKopfzeile1(0).Left";
if (_intleft+_intwidth<_lblkopfzeile1[(int) (0)].getLeft()+_lblkopfzeile1[(int) (0)].getWidth()) { 
RDebugUtils.currentLine=327744;
 //BA.debugLineNum = 327744;BA.debugLine="Do Until  intLeft + intWidth = lblKopfzeile1(";
while (!(_intleft+_intwidth==_lblkopfzeile1[(int) (0)].getLeft()+_lblkopfzeile1[(int) (0)].getWidth())) {
RDebugUtils.currentLine=327745;
 //BA.debugLineNum = 327745;BA.debugLine="intWidth = intWidth + 1";
_intwidth = (int) (_intwidth+1);
 }
;
 };
RDebugUtils.currentLine=327748;
 //BA.debugLineNum = 327748;BA.debugLine="Dim intHeight As Int = 30dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30));
 break; }
case 4: {
RDebugUtils.currentLine=327750;
 //BA.debugLineNum = 327750;BA.debugLine="lblKopfzeile2(i).Text = \"08\"";
_lblkopfzeile2[_i].setText(BA.ObjectToCharSequence("08"));
RDebugUtils.currentLine=327751;
 //BA.debugLineNum = 327751;BA.debugLine="Dim intLeft As Int = lblKopfzeile2(i-1).Left +";
_intleft = (int) (_lblkopfzeile2[(int) (_i-1)].getLeft()+_lblkopfzeile2[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327752;
 //BA.debugLineNum = 327752;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.2) + 1d";
_intwidth = (int) ((_intactwidth*0.2)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327753;
 //BA.debugLineNum = 327753;BA.debugLine="Dim intHeight As Int = 30dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30));
 break; }
case 5: {
RDebugUtils.currentLine=327755;
 //BA.debugLineNum = 327755;BA.debugLine="lblKopfzeile2(i).Text = \"09\"";
_lblkopfzeile2[_i].setText(BA.ObjectToCharSequence("09"));
RDebugUtils.currentLine=327756;
 //BA.debugLineNum = 327756;BA.debugLine="Dim intLeft As Int = lblKopfzeile2(i-1).Left +";
_intleft = (int) (_lblkopfzeile2[(int) (_i-1)].getLeft()+_lblkopfzeile2[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327757;
 //BA.debugLineNum = 327757;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.08) + 1";
_intwidth = (int) ((_intactwidth*0.08)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327758;
 //BA.debugLineNum = 327758;BA.debugLine="Dim intHeight As Int = 30dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30));
 break; }
case 6: {
RDebugUtils.currentLine=327760;
 //BA.debugLineNum = 327760;BA.debugLine="lblKopfzeile2(i).Text = \"10\"";
_lblkopfzeile2[_i].setText(BA.ObjectToCharSequence("10"));
RDebugUtils.currentLine=327761;
 //BA.debugLineNum = 327761;BA.debugLine="Dim intLeft As Int = lblKopfzeile2(i-1).Left +";
_intleft = (int) (_lblkopfzeile2[(int) (_i-1)].getLeft()+_lblkopfzeile2[(int) (_i-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327762;
 //BA.debugLineNum = 327762;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.12) + 1";
_intwidth = (int) ((_intactwidth*0.12)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327763;
 //BA.debugLineNum = 327763;BA.debugLine="Dim intHeight As Int = 30dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30));
 break; }
}
;
RDebugUtils.currentLine=327766;
 //BA.debugLineNum = 327766;BA.debugLine="pnlMain.AddView(lblKopfzeile2(i), intLeft, lblKo";
mostCurrent._pnlmain.AddView((android.view.View)(_lblkopfzeile2[_i].getObject()),_intleft,(int) (_lblkopfzeile1[(int) (0)].getTop()+_lblkopfzeile1[(int) (0)].getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1))),_intwidth,_intheight);
RDebugUtils.currentLine=327767;
 //BA.debugLineNum = 327767;BA.debugLine="Dim cd As ColorDrawable";
_cd = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=327768;
 //BA.debugLineNum = 327768;BA.debugLine="cd.Initialize2(Colors.White, 0dip, 1dip, Colors.";
_cd.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327769;
 //BA.debugLineNum = 327769;BA.debugLine="lblKopfzeile2(i).background = cd";
_lblkopfzeile2[_i].setBackground((android.graphics.drawable.Drawable)(_cd.getObject()));
 }
};
RDebugUtils.currentLine=327772;
 //BA.debugLineNum = 327772;BA.debugLine="Dim lblKopfzeile3(2) As Label";
_lblkopfzeile3 = new anywheresoftware.b4a.objects.LabelWrapper[(int) (2)];
{
int d0 = _lblkopfzeile3.length;
for (int i0 = 0;i0 < d0;i0++) {
_lblkopfzeile3[i0] = new anywheresoftware.b4a.objects.LabelWrapper();
}
}
;
RDebugUtils.currentLine=327774;
 //BA.debugLineNum = 327774;BA.debugLine="For i = 0 To 1";
{
final int step85 = 1;
final int limit85 = (int) (1);
_i = (int) (0) ;
for (;(step85 > 0 && _i <= limit85) || (step85 < 0 && _i >= limit85) ;_i = ((int)(0 + _i + step85))  ) {
RDebugUtils.currentLine=327775;
 //BA.debugLineNum = 327775;BA.debugLine="lblKopfzeile3(i).Initialize(\"\")";
_lblkopfzeile3[_i].Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=327776;
 //BA.debugLineNum = 327776;BA.debugLine="lblKopfzeile3(i).TextColor = Colors.Black";
_lblkopfzeile3[_i].setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327777;
 //BA.debugLineNum = 327777;BA.debugLine="lblKopfzeile3(i).Color = Colors.White";
_lblkopfzeile3[_i].setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=327778;
 //BA.debugLineNum = 327778;BA.debugLine="lblKopfzeile3(i).Gravity = Gravity.CENTER";
_lblkopfzeile3[_i].setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
RDebugUtils.currentLine=327779;
 //BA.debugLineNum = 327779;BA.debugLine="lblKopfzeile3(i).Typeface =Typeface.DEFAULT";
_lblkopfzeile3[_i].setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT);
RDebugUtils.currentLine=327780;
 //BA.debugLineNum = 327780;BA.debugLine="lblKopfzeile3(i).TextSize = 6";
_lblkopfzeile3[_i].setTextSize((float) (6));
RDebugUtils.currentLine=327782;
 //BA.debugLineNum = 327782;BA.debugLine="If i = 0 Then";
if (_i==0) { 
RDebugUtils.currentLine=327783;
 //BA.debugLineNum = 327783;BA.debugLine="lblKopfzeile3(i).Text = \"X\"";
_lblkopfzeile3[_i].setText(BA.ObjectToCharSequence("X"));
RDebugUtils.currentLine=327784;
 //BA.debugLineNum = 327784;BA.debugLine="Dim intLeft As Int = lblKopfzeile2(0).Left + lb";
_intleft = (int) (_lblkopfzeile2[(int) (0)].getLeft()+_lblkopfzeile2[(int) (0)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327785;
 //BA.debugLineNum = 327785;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.1) + 1di";
_intwidth = (int) ((_intactwidth*0.1)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327786;
 //BA.debugLineNum = 327786;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 }else 
{RDebugUtils.currentLine=327787;
 //BA.debugLineNum = 327787;BA.debugLine="Else If i = 1 Then";
if (_i==1) { 
RDebugUtils.currentLine=327788;
 //BA.debugLineNum = 327788;BA.debugLine="lblKopfzeile3(i).Text = \"Y\"";
_lblkopfzeile3[_i].setText(BA.ObjectToCharSequence("Y"));
RDebugUtils.currentLine=327789;
 //BA.debugLineNum = 327789;BA.debugLine="Dim intLeft As Int = lblKopfzeile3(0).Left + lb";
_intleft = (int) (_lblkopfzeile3[(int) (0)].getLeft()+_lblkopfzeile3[(int) (0)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327790;
 //BA.debugLineNum = 327790;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.1) + 1di";
_intwidth = (int) ((_intactwidth*0.1)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327791;
 //BA.debugLineNum = 327791;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 }}
;
RDebugUtils.currentLine=327794;
 //BA.debugLineNum = 327794;BA.debugLine="pnlMain.AddView(lblKopfzeile3(i), intLeft, lblKo";
mostCurrent._pnlmain.AddView((android.view.View)(_lblkopfzeile3[_i].getObject()),_intleft,(int) (_lblkopfzeile2[(int) (1)].getTop()+_lblkopfzeile2[(int) (1)].getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1))),_intwidth,(int) (_intheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1))));
RDebugUtils.currentLine=327795;
 //BA.debugLineNum = 327795;BA.debugLine="Dim cd As ColorDrawable";
_cd = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=327796;
 //BA.debugLineNum = 327796;BA.debugLine="cd.Initialize2(Colors.White, 0dip, 1dip, Colors.";
_cd.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327797;
 //BA.debugLineNum = 327797;BA.debugLine="lblKopfzeile3(i).background = cd";
_lblkopfzeile3[_i].setBackground((android.graphics.drawable.Drawable)(_cd.getObject()));
 }
};
RDebugUtils.currentLine=327800;
 //BA.debugLineNum = 327800;BA.debugLine="For i = 0 To 30";
{
final int step108 = 1;
final int limit108 = (int) (30);
_i = (int) (0) ;
for (;(step108 > 0 && _i <= limit108) || (step108 < 0 && _i >= limit108) ;_i = ((int)(0 + _i + step108))  ) {
RDebugUtils.currentLine=327801;
 //BA.debugLineNum = 327801;BA.debugLine="For x = 0 To 8";
{
final int step109 = 1;
final int limit109 = (int) (8);
_x = (int) (0) ;
for (;(step109 > 0 && _x <= limit109) || (step109 < 0 && _x >= limit109) ;_x = ((int)(0 + _x + step109))  ) {
RDebugUtils.currentLine=327802;
 //BA.debugLineNum = 327802;BA.debugLine="lblHauptzeile(i,x).Initialize(\"\")";
mostCurrent._lblhauptzeile[_i][_x].Initialize(mostCurrent.activityBA,"");
RDebugUtils.currentLine=327803;
 //BA.debugLineNum = 327803;BA.debugLine="lblHauptzeile(i,x).TextColor = Colors.Black";
mostCurrent._lblhauptzeile[_i][_x].setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327804;
 //BA.debugLineNum = 327804;BA.debugLine="lblHauptzeile(i,x).Color = Colors.White";
mostCurrent._lblhauptzeile[_i][_x].setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=327805;
 //BA.debugLineNum = 327805;BA.debugLine="lblHauptzeile(i,x).Gravity = Gravity.CENTER";
mostCurrent._lblhauptzeile[_i][_x].setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
RDebugUtils.currentLine=327806;
 //BA.debugLineNum = 327806;BA.debugLine="lblHauptzeile(i,x).Typeface =Typeface.DEFAULT";
mostCurrent._lblhauptzeile[_i][_x].setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT);
RDebugUtils.currentLine=327807;
 //BA.debugLineNum = 327807;BA.debugLine="lblHauptzeile(i,x).TextSize = 6";
mostCurrent._lblhauptzeile[_i][_x].setTextSize((float) (6));
RDebugUtils.currentLine=327809;
 //BA.debugLineNum = 327809;BA.debugLine="Select Case x";
switch (_x) {
case 0: {
RDebugUtils.currentLine=327811;
 //BA.debugLineNum = 327811;BA.debugLine="lblHauptzeile(i,x).Text = i + 1";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(_i+1));
RDebugUtils.currentLine=327812;
 //BA.debugLineNum = 327812;BA.debugLine="Dim intLeft As Int = 10dip";
_intleft = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10));
RDebugUtils.currentLine=327813;
 //BA.debugLineNum = 327813;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.05)";
_intwidth = (int) ((_intactwidth*0.05));
RDebugUtils.currentLine=327814;
 //BA.debugLineNum = 327814;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 1: {
RDebugUtils.currentLine=327816;
 //BA.debugLineNum = 327816;BA.debugLine="If DateUtils.NumberOfDaysInMonth(11, \"2017\")";
if (mostCurrent._dateutils._numberofdaysinmonth(mostCurrent.activityBA,(int) (11),(int)(Double.parseDouble("2017")))>=_i+1) { 
RDebugUtils.currentLine=327817;
 //BA.debugLineNum = 327817;BA.debugLine="Dim strDay As String = i + 1";
_strday = BA.NumberToString(_i+1);
RDebugUtils.currentLine=327818;
 //BA.debugLineNum = 327818;BA.debugLine="If strDay.Length = 1 Then strDay = \"0\" & str";
if (_strday.length()==1) { 
_strday = "0"+_strday;};
RDebugUtils.currentLine=327819;
 //BA.debugLineNum = 327819;BA.debugLine="Dim strMonth As String = \"11\"";
_strmonth = "11";
RDebugUtils.currentLine=327820;
 //BA.debugLineNum = 327820;BA.debugLine="If strMonth.Length = 1 Then strMonth = \"0\" &";
if (_strmonth.length()==1) { 
_strmonth = "0"+_strmonth;};
RDebugUtils.currentLine=327821;
 //BA.debugLineNum = 327821;BA.debugLine="Dim strYear As String = \"2017\"";
_stryear = "2017";
RDebugUtils.currentLine=327822;
 //BA.debugLineNum = 327822;BA.debugLine="Dim strDate As String = strDay & \".\" & strMo";
_strdate = _strday+"."+_strmonth+"."+_stryear;
RDebugUtils.currentLine=327823;
 //BA.debugLineNum = 327823;BA.debugLine="DateTime.DateFormat = \"dd.MM.yyyy\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("dd.MM.yyyy");
RDebugUtils.currentLine=327824;
 //BA.debugLineNum = 327824;BA.debugLine="DateTime.TimeFormat=\"HH:mm\"";
anywheresoftware.b4a.keywords.Common.DateTime.setTimeFormat("HH:mm");
RDebugUtils.currentLine=327825;
 //BA.debugLineNum = 327825;BA.debugLine="strDate = strDay & \".\" & strMonth & \".\" & st";
_strdate = _strday+"."+_strmonth+"."+_stryear;
RDebugUtils.currentLine=327826;
 //BA.debugLineNum = 327826;BA.debugLine="lblHauptzeile(i,x).Text = DateUtils.GetDayOf";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(mostCurrent._dateutils._getdayofweekname(mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.DateTime.DateTimeParse(_strdate,"0:00")).substring((int) (0),(int) (2))));
 }else {
RDebugUtils.currentLine=327828;
 //BA.debugLineNum = 327828;BA.debugLine="lblHauptzeile(i,x).Text= \"-\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence("-"));
 };
RDebugUtils.currentLine=327831;
 //BA.debugLineNum = 327831;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327832;
 //BA.debugLineNum = 327832;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.05) +";
_intwidth = (int) ((_intactwidth*0.05)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327833;
 //BA.debugLineNum = 327833;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 2: {
RDebugUtils.currentLine=327835;
 //BA.debugLineNum = 327835;BA.debugLine="lblHauptzeile(i,x).Text = \"\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=327836;
 //BA.debugLineNum = 327836;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327837;
 //BA.debugLineNum = 327837;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.1) + 1";
_intwidth = (int) ((_intactwidth*0.1)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327838;
 //BA.debugLineNum = 327838;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 3: {
RDebugUtils.currentLine=327840;
 //BA.debugLineNum = 327840;BA.debugLine="lblHauptzeile(i,x).Text = \"\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=327841;
 //BA.debugLineNum = 327841;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327842;
 //BA.debugLineNum = 327842;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.1) + 1";
_intwidth = (int) ((_intactwidth*0.1)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327843;
 //BA.debugLineNum = 327843;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 4: {
RDebugUtils.currentLine=327845;
 //BA.debugLineNum = 327845;BA.debugLine="lblHauptzeile(i,x).Text = \"\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=327846;
 //BA.debugLineNum = 327846;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327847;
 //BA.debugLineNum = 327847;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.25) +";
_intwidth = (int) ((_intactwidth*0.25)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327848;
 //BA.debugLineNum = 327848;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 5: {
RDebugUtils.currentLine=327850;
 //BA.debugLineNum = 327850;BA.debugLine="lblHauptzeile(i,x).Text = \"\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=327851;
 //BA.debugLineNum = 327851;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327852;
 //BA.debugLineNum = 327852;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.05) +";
_intwidth = (int) ((_intactwidth*0.05)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327853;
 //BA.debugLineNum = 327853;BA.debugLine="If intLeft + intWidth < lblKopfzeile1(0).Left";
if (_intleft+_intwidth<_lblkopfzeile1[(int) (0)].getLeft()+_lblkopfzeile1[(int) (0)].getWidth()) { 
RDebugUtils.currentLine=327854;
 //BA.debugLineNum = 327854;BA.debugLine="Do Until  intLeft + intWidth = lblKopfzeile1";
while (!(_intleft+_intwidth==_lblkopfzeile1[(int) (0)].getLeft()+_lblkopfzeile1[(int) (0)].getWidth())) {
RDebugUtils.currentLine=327855;
 //BA.debugLineNum = 327855;BA.debugLine="intWidth = intWidth + 1";
_intwidth = (int) (_intwidth+1);
 }
;
 };
RDebugUtils.currentLine=327858;
 //BA.debugLineNum = 327858;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 6: {
RDebugUtils.currentLine=327860;
 //BA.debugLineNum = 327860;BA.debugLine="lblHauptzeile(i,x).Text = \"\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=327861;
 //BA.debugLineNum = 327861;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327862;
 //BA.debugLineNum = 327862;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.2) + 1";
_intwidth = (int) ((_intactwidth*0.2)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327863;
 //BA.debugLineNum = 327863;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 7: {
RDebugUtils.currentLine=327865;
 //BA.debugLineNum = 327865;BA.debugLine="lblHauptzeile(i,x).Text = \"\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=327866;
 //BA.debugLineNum = 327866;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327867;
 //BA.debugLineNum = 327867;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.08) +";
_intwidth = (int) ((_intactwidth*0.08)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327868;
 //BA.debugLineNum = 327868;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
case 8: {
RDebugUtils.currentLine=327870;
 //BA.debugLineNum = 327870;BA.debugLine="lblHauptzeile(i,x).Text = \"\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=327871;
 //BA.debugLineNum = 327871;BA.debugLine="Dim intLeft As Int = lblHauptzeile(i,x-1).Lef";
_intleft = (int) (mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (_x-1)].getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327872;
 //BA.debugLineNum = 327872;BA.debugLine="Dim intWidth As Int = (intActWidth * 0.12) +";
_intwidth = (int) ((_intactwidth*0.12)+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=327873;
 //BA.debugLineNum = 327873;BA.debugLine="Dim intHeight As Int = 12dip";
_intheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12));
 break; }
}
;
RDebugUtils.currentLine=327876;
 //BA.debugLineNum = 327876;BA.debugLine="If i = 0 Then";
if (_i==0) { 
RDebugUtils.currentLine=327877;
 //BA.debugLineNum = 327877;BA.debugLine="pnlMain.AddView(lblHauptzeile(i,x), intLeft, (";
mostCurrent._pnlmain.AddView((android.view.View)(mostCurrent._lblhauptzeile[_i][_x].getObject()),_intleft,(int) ((_lblkopfzeile3[(int) (0)].getTop()+_lblkopfzeile3[(int) (0)].getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)))+(_i*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12)))),_intwidth,(int) (_intheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1))));
 }else {
RDebugUtils.currentLine=327879;
 //BA.debugLineNum = 327879;BA.debugLine="If x = 0 Then";
if (_x==0) { 
RDebugUtils.currentLine=327880;
 //BA.debugLineNum = 327880;BA.debugLine="pnlMain.AddView(lblHauptzeile(i,x), intLeft,";
mostCurrent._pnlmain.AddView((android.view.View)(mostCurrent._lblhauptzeile[_i][_x].getObject()),_intleft,(int) (_lblkopfzeile3[(int) (0)].getTop()+_lblkopfzeile3[(int) (0)].getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1))+(_i*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12)))),_intwidth,(int) (_intheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1))));
 }else {
RDebugUtils.currentLine=327882;
 //BA.debugLineNum = 327882;BA.debugLine="pnlMain.AddView(lblHauptzeile(i,x), intLeft,";
mostCurrent._pnlmain.AddView((android.view.View)(mostCurrent._lblhauptzeile[_i][_x].getObject()),_intleft,mostCurrent._lblhauptzeile[_i][(int) (0)].getTop(),_intwidth,(int) (_intheight+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1))));
 };
 };
RDebugUtils.currentLine=327886;
 //BA.debugLineNum = 327886;BA.debugLine="Dim cd As ColorDrawable";
_cd = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=327887;
 //BA.debugLineNum = 327887;BA.debugLine="If i + 1 > DateUtils.NumberOfDaysInMonth(11, \"2";
if (_i+1>mostCurrent._dateutils._numberofdaysinmonth(mostCurrent.activityBA,(int) (11),(int)(Double.parseDouble("2017")))) { 
RDebugUtils.currentLine=327888;
 //BA.debugLineNum = 327888;BA.debugLine="cd.Initialize2(Colors.LightGray, 0dip, 1dip, C";
_cd.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.LightGray,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327889;
 //BA.debugLineNum = 327889;BA.debugLine="lblHauptzeile(i,x).Text = \"-\"";
mostCurrent._lblhauptzeile[_i][_x].setText(BA.ObjectToCharSequence("-"));
 }else {
RDebugUtils.currentLine=327891;
 //BA.debugLineNum = 327891;BA.debugLine="cd.Initialize2(Colors.White, 0dip, 1dip, Color";
_cd.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
 };
RDebugUtils.currentLine=327893;
 //BA.debugLineNum = 327893;BA.debugLine="lblHauptzeile(i,x).background = cd";
mostCurrent._lblhauptzeile[_i][_x].setBackground((android.graphics.drawable.Drawable)(_cd.getObject()));
 }
};
RDebugUtils.currentLine=327896;
 //BA.debugLineNum = 327896;BA.debugLine="If lblHauptzeile(i,1).Text = \"Sa\" Or lblHauptzei";
if ((mostCurrent._lblhauptzeile[_i][(int) (1)].getText()).equals("Sa") || (mostCurrent._lblhauptzeile[_i][(int) (1)].getText()).equals("So")) { 
RDebugUtils.currentLine=327897;
 //BA.debugLineNum = 327897;BA.debugLine="For y = 0 To 8";
{
final int step200 = 1;
final int limit200 = (int) (8);
_y = (int) (0) ;
for (;(step200 > 0 && _y <= limit200) || (step200 < 0 && _y >= limit200) ;_y = ((int)(0 + _y + step200))  ) {
RDebugUtils.currentLine=327898;
 //BA.debugLineNum = 327898;BA.debugLine="cd.Initialize2(Colors.RGB(240,240,240), 0dip,";
_cd.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (240),(int) (240),(int) (240)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327899;
 //BA.debugLineNum = 327899;BA.debugLine="lblHauptzeile(i,y).background = cd";
mostCurrent._lblhauptzeile[_i][_y].setBackground((android.graphics.drawable.Drawable)(_cd.getObject()));
 }
};
 };
RDebugUtils.currentLine=327902;
 //BA.debugLineNum = 327902;BA.debugLine="pnlHauptzeile(i).Initialize(\"pnlHauptzeile\")";
mostCurrent._pnlhauptzeile[_i].Initialize(mostCurrent.activityBA,"pnlHauptzeile");
RDebugUtils.currentLine=327903;
 //BA.debugLineNum = 327903;BA.debugLine="pnlMain.AddView(pnlHauptzeile(i), lblHauptzeile(";
mostCurrent._pnlmain.AddView((android.view.View)(mostCurrent._pnlhauptzeile[_i].getObject()),mostCurrent._lblhauptzeile[_i][(int) (0)].getLeft(),mostCurrent._lblhauptzeile[_i][(int) (0)].getTop(),(int) (mostCurrent._lblhauptzeile[_i][(int) (8)].getLeft()+mostCurrent._lblhauptzeile[_i][(int) (8)].getWidth()-mostCurrent._lblhauptzeile[_i][(int) (0)].getLeft()),mostCurrent._lblhauptzeile[_i][(int) (0)].getHeight());
RDebugUtils.currentLine=327905;
 //BA.debugLineNum = 327905;BA.debugLine="Dim objStateList As StateListDrawable";
_objstatelist = new anywheresoftware.b4a.objects.drawable.StateListDrawable();
RDebugUtils.currentLine=327906;
 //BA.debugLineNum = 327906;BA.debugLine="objStateList.Initialize";
_objstatelist.Initialize();
RDebugUtils.currentLine=327907;
 //BA.debugLineNum = 327907;BA.debugLine="Dim cd1 As ColorDrawable";
_cd1 = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=327908;
 //BA.debugLineNum = 327908;BA.debugLine="cd1.Initialize2(Colors.RGB(109, 133, 224), 0dip,";
_cd1.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (109),(int) (133),(int) (224)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327909;
 //BA.debugLineNum = 327909;BA.debugLine="objStateList.AddState(objStateList.State_Pressed";
_objstatelist.AddState(_objstatelist.State_Pressed,(android.graphics.drawable.Drawable)(_cd1.getObject()));
RDebugUtils.currentLine=327910;
 //BA.debugLineNum = 327910;BA.debugLine="Dim cd2 As ColorDrawable";
_cd2 = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=327911;
 //BA.debugLineNum = 327911;BA.debugLine="cd2.Initialize2(Colors.Transparent, 0dip, 1dip,";
_cd2.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.Transparent,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)),anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=327912;
 //BA.debugLineNum = 327912;BA.debugLine="objStateList.AddState(objStateList.State_Enabled";
_objstatelist.AddState(_objstatelist.State_Enabled,(android.graphics.drawable.Drawable)(_cd2.getObject()));
RDebugUtils.currentLine=327913;
 //BA.debugLineNum = 327913;BA.debugLine="pnlHauptzeile(i).Tag = i";
mostCurrent._pnlhauptzeile[_i].setTag((Object)(_i));
RDebugUtils.currentLine=327914;
 //BA.debugLineNum = 327914;BA.debugLine="pnlHauptzeile(i).Background = objStateList";
mostCurrent._pnlhauptzeile[_i].setBackground((android.graphics.drawable.Drawable)(_objstatelist.getObject()));
RDebugUtils.currentLine=327915;
 //BA.debugLineNum = 327915;BA.debugLine="pnlHauptzeile(i).BringToFront";
mostCurrent._pnlhauptzeile[_i].BringToFront();
 }
};
RDebugUtils.currentLine=327917;
 //BA.debugLineNum = 327917;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null);
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return "";
}
public static String  _btnzoom_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnzoom_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnzoom_click", null);
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
double _scale = 0;
anywheresoftware.b4a.objects.ConcreteViewWrapper _v = null;
anywheresoftware.b4a.objects.LabelWrapper _lbl = null;
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub btnZoom_Click";
RDebugUtils.currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="Private btn As Button";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="Private	Scale As Double";
_scale = 0;
RDebugUtils.currentLine=393220;
 //BA.debugLineNum = 393220;BA.debugLine="btn = Sender";
_btn.setObject((android.widget.Button)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
RDebugUtils.currentLine=393222;
 //BA.debugLineNum = 393222;BA.debugLine="If btn.Text = \"Zoom IN\" Then";
if ((_btn.getText()).equals("Zoom IN")) { 
RDebugUtils.currentLine=393223;
 //BA.debugLineNum = 393223;BA.debugLine="NewScale = CurrentScale * 1.2";
_newscale = _currentscale*1.2;
 }else {
RDebugUtils.currentLine=393225;
 //BA.debugLineNum = 393225;BA.debugLine="NewScale = CurrentScale / 1.2";
_newscale = _currentscale/(double)1.2;
 };
RDebugUtils.currentLine=393228;
 //BA.debugLineNum = 393228;BA.debugLine="Scale = NewScale / CurrentScale";
_scale = _newscale/(double)_currentscale;
RDebugUtils.currentLine=393230;
 //BA.debugLineNum = 393230;BA.debugLine="For Each v As View In scvTest.Panel.GetAllViewsRe";
_v = new anywheresoftware.b4a.objects.ConcreteViewWrapper();
{
final anywheresoftware.b4a.BA.IterableList group10 = mostCurrent._scvtest.getPanel().GetAllViewsRecursive();
final int groupLen10 = group10.getSize()
;int index10 = 0;
;
for (; index10 < groupLen10;index10++){
_v.setObject((android.view.View)(group10.Get(index10)));
RDebugUtils.currentLine=393231;
 //BA.debugLineNum = 393231;BA.debugLine="If v.Height > 0 Then";
if (_v.getHeight()>0) { 
RDebugUtils.currentLine=393232;
 //BA.debugLineNum = 393232;BA.debugLine="v.Left = v.Left * Scale";
_v.setLeft((int) (_v.getLeft()*_scale));
RDebugUtils.currentLine=393233;
 //BA.debugLineNum = 393233;BA.debugLine="v.Top = v.Top * Scale";
_v.setTop((int) (_v.getTop()*_scale));
RDebugUtils.currentLine=393234;
 //BA.debugLineNum = 393234;BA.debugLine="v.Width = v.Width * Scale";
_v.setWidth((int) (_v.getWidth()*_scale));
RDebugUtils.currentLine=393235;
 //BA.debugLineNum = 393235;BA.debugLine="v.Height = v.Height * Scale";
_v.setHeight((int) (_v.getHeight()*_scale));
RDebugUtils.currentLine=393236;
 //BA.debugLineNum = 393236;BA.debugLine="If v Is Label Then";
if (_v.getObjectOrNull() instanceof android.widget.TextView) { 
RDebugUtils.currentLine=393237;
 //BA.debugLineNum = 393237;BA.debugLine="Private lbl As Label";
_lbl = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393238;
 //BA.debugLineNum = 393238;BA.debugLine="lbl = v";
_lbl.setObject((android.widget.TextView)(_v.getObject()));
RDebugUtils.currentLine=393239;
 //BA.debugLineNum = 393239;BA.debugLine="lbl.TextSize = lbl.TextSize * Scale";
_lbl.setTextSize((float) (_lbl.getTextSize()*_scale));
 };
 };
 }
};
RDebugUtils.currentLine=393244;
 //BA.debugLineNum = 393244;BA.debugLine="If Activity.Height < pnlHauptzeile(30).Top + pnlH";
if (mostCurrent._activity.getHeight()<mostCurrent._pnlhauptzeile[(int) (30)].getTop()+mostCurrent._pnlhauptzeile[(int) (30)].getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))) { 
RDebugUtils.currentLine=393245;
 //BA.debugLineNum = 393245;BA.debugLine="scvTest.Panel.Height = pnlHauptzeile(30).Top + p";
mostCurrent._scvtest.getPanel().setHeight((int) (mostCurrent._pnlhauptzeile[(int) (30)].getTop()+mostCurrent._pnlhauptzeile[(int) (30)].getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))));
 }else {
RDebugUtils.currentLine=393247;
 //BA.debugLineNum = 393247;BA.debugLine="scvTest.Panel.Height = Activity.Height";
mostCurrent._scvtest.getPanel().setHeight(mostCurrent._activity.getHeight());
 };
RDebugUtils.currentLine=393250;
 //BA.debugLineNum = 393250;BA.debugLine="scvTest.Panel.Width =  lblHauptzeile(30, 8).Left";
mostCurrent._scvtest.getPanel().setWidth((int) (mostCurrent._lblhauptzeile[(int) (30)][(int) (8)].getLeft()+mostCurrent._lblhauptzeile[(int) (30)][(int) (8)].getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))));
RDebugUtils.currentLine=393252;
 //BA.debugLineNum = 393252;BA.debugLine="CurrentScale = NewScale";
_currentscale = _newscale;
RDebugUtils.currentLine=393253;
 //BA.debugLineNum = 393253;BA.debugLine="End Sub";
return "";
}
}